Subject: Install tool's DB compare shows wrong tables to update on MySQL 5 collation latin1_bin
Description

With MySQL 5 and the collation of the Typo3 db set to latin1_bin the install tool shows a lot of tables to be changed that actually are
correct. This happens because the  command "binary" in the Current value is not recognized correctly - e.g.: 

ALTER TABLE be_groups CHANGE title title varchar(50) NOT NULL default '';
    Current value: varchar(50) binary default ''

Thus the install tool thinks the table has to be altered.
Trying to update the tables with the install tool results in the same list being shown again.

True that it is not very intelligent to set the db's collation to latin1_bin, but the install tool should show a correct warning instead of
showing wrong db updates that also do not change the situation when executed.

MySQL 5
(issue imported from #M5495)

Related issues:
related to Core - Bug # 16276: Database Analyser - Compare proposes "ALTER ..... Closed 2006-06-23

History
#1 - 2007-05-11 11:29 - Franz Holzinger

TYPO3 4.2-dev:

The install tool continuously demands this:

Changing fields
    ALTER TABLE cache_typo3temp_log CHANGE orig_filename orig_filename varchar(255) NOT NULL;
    Current value: varchar(255) default ''

#2 - 2013-05-05 11:22 - Alexander Opitz
- Status changed from New to Needs Feedback
- Target version deleted (0)

The issue is very old, does this issue exists in newer versions of TYPO3 CMS (4.5 or 6.1)?

#3 - 2013-09-06 09:08 - Alexander Opitz
- Status changed from Needs Feedback to Closed

No feedback for over 90 days.
